
public class Class509 {

   Class564 aClass564_6028 = new Class564(64);
   public int anInt6029;
   Class253 aClass253_6030;
   public int anInt6031 = 0;
   public static long aLong6032;
   static int anInt6033;


   public void method10792() {
      Class564 var1 = this.aClass564_6028;
      synchronized(var1) {
         this.aClass564_6028.method11968((short)-14899);
      }
   }

   public Class504 method10793(int var1) {
      Class564 var2 = this.aClass564_6028;
      Class504 var3;
      synchronized(var2) {
         var3 = (Class504)this.aClass564_6028.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_6030;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_6030.method4547(2022937823 * Class115.aClass115_1113.anInt1177, var1, (byte)-108);
         }

         var3 = new Class504();
         var3.aClass509_5964 = this;
         var3.anInt5961 = var1 * 550316283;
         if(null != var10) {
            var3.method8410(new RS2Buffer(var10), -1923747392);
         }

         var3.method8409(-1976351027);
         Class564 var11 = this.aClass564_6028;
         synchronized(var11) {
            this.aClass564_6028.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method10794(int var1) {
      Class564 var2 = this.aClass564_6028;
      synchronized(var2) {
         this.aClass564_6028.method11976((byte)62);
      }
   }

   public void method10795(int var1, byte var2) {
      Class564 var3 = this.aClass564_6028;
      synchronized(var3) {
         this.aClass564_6028.method11963(var1, (byte)-111);
      }
   }

   public void method10796(int var1) {
      Class564 var2 = this.aClass564_6028;
      synchronized(var2) {
         this.aClass564_6028.method11968((short)-18648);
      }
   }

   public Class504 method10797(int var1, byte var2) {
      Class564 var3 = this.aClass564_6028;
      Class504 var4;
      synchronized(var3) {
         var4 = (Class504)this.aClass564_6028.method11959((long)var1);
      }

      if(null != var4) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_6030;
         byte[] var11;
         synchronized(var5) {
            var11 = this.aClass253_6030.method4547(2022937823 * Class115.aClass115_1113.anInt1177, var1, (byte)1);
         }

         var4 = new Class504();
         var4.aClass509_5964 = this;
         var4.anInt5961 = var1 * 550316283;
         if(null != var11) {
            var4.method8410(new RS2Buffer(var11), 746233305);
         }

         var4.method8409(-1631559680);
         Class564 var12 = this.aClass564_6028;
         synchronized(var12) {
            this.aClass564_6028.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public Class504 method10798(int var1) {
      Class564 var2 = this.aClass564_6028;
      Class504 var3;
      synchronized(var2) {
         var3 = (Class504)this.aClass564_6028.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_6030;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_6030.method4547(2022937823 * Class115.aClass115_1113.anInt1177, var1, (byte)-22);
         }

         var3 = new Class504();
         var3.aClass509_5964 = this;
         var3.anInt5961 = var1 * 550316283;
         if(null != var10) {
            var3.method8410(new RS2Buffer(var10), 1762288354);
         }

         var3.method8409(-313674516);
         Class564 var11 = this.aClass564_6028;
         synchronized(var11) {
            this.aClass564_6028.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method10799(int var1) {
      Class564 var2 = this.aClass564_6028;
      synchronized(var2) {
         this.aClass564_6028.method11963(var1, (byte)-55);
      }
   }

   public void method10800() {
      Class564 var1 = this.aClass564_6028;
      synchronized(var1) {
         this.aClass564_6028.method11968((short)-23421);
      }
   }

   public Class509(Class481 var1, Class470 var2, Class253 var3) {
      this.aClass253_6030 = var3;
      this.anInt6029 = this.aClass253_6030.method4514(2022937823 * Class115.aClass115_1113.anInt1177, -474917889) * -1361523671;
   }

   static void method10801(Class508 var0, int var1) {
      var0.anIntArray6027[var0.anInt6003 * -937710807 - 2] = Class453.aClass511_5677.method10849(var0.anIntArray6027[var0.anInt6003 * -937710807 - 2], 1008686777).anIntArray6054[var0.anIntArray6027[var0.anInt6003 * -937710807 - 1]];
      var0.anInt6003 -= 98312473;
   }

   static final void method10802(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 2136042436);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class545_Sub3.method15396(var3, var4, var0, 665429038);
   }

   static final void method10803(Class508 var0, byte var1) {
      var0.anInt6003 -= 196624946;
      Class67.method1438(var0.anIntArray6027[-937710807 * var0.anInt6003], var0.anIntArray6027[var0.anInt6003 * -937710807 + 1], 255, 1231624222);
   }

   static final void method10804(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + var0.anInt6003 * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var2 | 1 << var3;
   }

   static final void method10805(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var0.anInt1405 = var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] * 973182291;
      Class460.method7767(var0, 1416130747);
      if(-875927841 * var0.anInt1369 == -1 && !var1.aBool1206) {
         Class118_Sub2.method13171(var0.anInt1406 * 34646887, (byte)3);
      }

   }

   static final void method10806(int var0) {
      Class482.aClass124Array5861 = null;
      Class83.method1670(client.anInt7831 * 1231941283, 0, 0, Class563.anInt7495 * 759890095, 1404657485 * Class440.anInt5458, 0, 0, -1, 858621457);
      if(null != Class482.aClass124Array5861) {
         Class53_Sub3.method13161(Class482.aClass124Array5861, -1412584499, 0, 0, 759890095 * Class563.anInt7495, 1404657485 * Class440.anInt5458, Class523.anInt7147 * 1727407239, Class560.anInt7481 * 1799605509, Class85.aClass124_868 == client.aClass124_7842?-1:client.aClass124_7842.anInt1531 * 796622049, true, 1874474316);
         Class482.aClass124Array5861 = null;
      }

   }

   static final void method10807(Class508 var0, byte var1) {
      int[] var10000 = var0.anIntArray6027;
      int var10001 = (var0.anInt6003 += 98312473) * -937710807 - 1;
      byte var10002;
      if(Class541.aBool7320) {
         if(var1 <= 9) {
            return;
         }

         var10002 = 1;
      } else {
         var10002 = 0;
      }

      var10000[var10001] = var10002;
   }

   static final void method10808(Class124 var0, Class508 var1, byte var2) {
      byte var3 = 10;
      int var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      Class97.method1899(var0, var3, var4, var1, (byte)-66);
   }

   static final void method10809(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var2 / var3;
   }
}
